#
# spec file for package emacs-dash
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

#
Name:           emacs-dash
Version:        2.12.1
Release:        lp150.1.3
Summary:        A modern list library for Emacs
License:        GPL-3.0+
Group:          Productivity/Editors/Emacs
Url:            https://github.com/magnars/dash.el
Source0:        https://github.com/magnars/dash.el/archive/%{version}.tar.gz
BuildRequires:  emacs-nox
BuildRequires:  make
Requires:       emacs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Dash is a modern list API for Emacs that requires no "cl".

%prep
%setup -q -n dash.el-%{version}

%build
emacs -L . --batch -f batch-byte-compile *.el

%check
./run-tests.sh

%install
install -d %{buildroot}/%{_datadir}/emacs/site-lisp/
install -m 644 *.el *.elc %{buildroot}/%{_datadir}/emacs/site-lisp/

%files
%defattr(-,root,root,-)
%doc README.md
%{_datadir}/emacs/site-lisp/dash*.el
%{_datadir}/emacs/site-lisp/dash*.elc

%changelog
* Fri Mar 18 2016 psimons@suse.com
- Clean up the installed documentation.
* Mon Feb 15 2016 psimons@suse.com
- initial version 2.12.1
